{{ ansible_managed | comment }}

# For more information about this configuration file, refer to
# babeld(8)

{% for netif in babeld_netifs %}
interface {{ netifs[netif].device }} split-horizon false

{% for ip in netifs[netif].ips %}
redistribute local ip {{ip.ip}} allow
{% endfor %}

{% if netifs[netif].babeld.redistribute_networks is defined %}
{% for network in netifs[netif].babeld.redistribute_networks %}
{% for subnet in networks[network].subnets %}
redistribute ip {{subnet|ipaddr('network/prefix')}} allow
{% endfor %}
{% endfor %}
{% endif %}

{#
{% for network in netifs[netif].networks %}
{% for subnet in networks[network].subnets %}
redistribute ip {{subnet}} if {{ netifs[netif].device }} allow
{% endfor %}
{% endfor %}
#}

{% endfor %}

redistribute local deny
